# Uses of Interface
java.util.function.IntFunction

Packages that use IntFunction
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of IntFunction in java.lang

Methods in java.lang that return IntFunction
Modifier and Type
Method
Description
`static <R> IntFunction<R>`
StableValue.`intFunction(int size, IntFunction<? extends R> underlying)`
Returns a new stable IntFunction.
Methods in java.lang with parameters of type IntFunction
Modifier and Type
Method
Description
`static <R> IntFunction<R>`
StableValue.`intFunction(int size, IntFunction<? extends R> underlying)`
Returns a new stable IntFunction.
`static <E> List<E>`
StableValue.`list(int size, IntFunction<? extends E> mapper)`
Returns a new stable list with the provided `size`.

## Uses of IntFunction in java.util

Methods in java.util with parameters of type IntFunction
Modifier and Type
Method
Description
`static <T> void`
Arrays.`parallelSetAll(T[] array, IntFunction<? extends T> generator)`
Set all elements of the specified array, in parallel, using the provided generator function to compute each element.
`static <T> void`
Arrays.`setAll(T[] array, IntFunction<? extends T> generator)`
Set all elements of the specified array, using the provided generator function to compute each element.
`default <T> T[]`
Collection.`toArray(IntFunction<T[]> generator)`
Returns an array containing all of the elements in this collection, using the provided `generator` function to allocate the returned array.

## Uses of IntFunction in java.util.stream

Methods in java.util.stream with parameters of type IntFunction
Modifier and Type
Method
Description
`IntStream`
IntStream.`flatMap(IntFunction<? extends IntStream> mapper)`
Returns a stream consisting of the results of replacing each element of this stream with the contents of a mapped stream produced by applying the provided mapping function to each element.
`<U> Stream<U>`
IntStream.`mapToObj(IntFunction<? extends U> mapper)`
Returns an object-valued `Stream` consisting of the results of applying the given function to the elements of this stream.
`<A> A[]`
Stream.`toArray(IntFunction<A[]> generator)`
Returns an array containing the elements of this stream, using the provided `generator` function to allocate the returned array, as well as any additional arrays that might be required for a partitioned execution or for resizing.